gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.RadioActionEntry

Contents

- Exported types
- Methods
- Properties
  - accelerator
  - label
  - name
  - stockId
  - tooltip
  - value

Description

`RadioActionEntry` structs are used with `gtk_action_group_add_radio_actions()` to construct groups of radio actions.

Synopsis

- newtype RadioActionEntry = RadioActionEntry (ManagedPtr RadioActionEntry)
- newZeroRadioActionEntry :: MonadIO m => m RadioActionEntry
- clearRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> m ()
- getRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> m (Maybe Text)
- setRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> CString -> m ()
- clearRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> m ()
- getRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> m (Maybe Text)
- setRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> CString -> m ()
- clearRadioActionEntryName :: MonadIO m => RadioActionEntry -> m ()
- getRadioActionEntryName :: MonadIO m => RadioActionEntry -> m (Maybe Text)
- setRadioActionEntryName :: MonadIO m => RadioActionEntry -> CString -> m ()
- clearRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> m ()
- getRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> m (Maybe Text)
- setRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> CString -> m ()
- clearRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> m ()
- getRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> m (Maybe Text)
- setRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> CString -> m ()
- getRadioActionEntryValue :: MonadIO m => RadioActionEntry -> m Int32
- setRadioActionEntryValue :: MonadIO m => RadioActionEntry -> Int32 -> m ()

# Exported types

newtype RadioActionEntry Source #

Memory-managed wrapper type.

Constructors

RadioActionEntry (ManagedPtr RadioActionEntry) |

#### Instances

Instances details

Eq RadioActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.RadioActionEntry Methods (==) :: RadioActionEntry -> RadioActionEntry -> Bool Source # (/=) :: RadioActionEntry -> RadioActionEntry -> Bool Source #
BoxedPtr RadioActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.RadioActionEntry Methods boxedPtrCopy :: RadioActionEntry -> IO RadioActionEntry Source # boxedPtrFree :: RadioActionEntry -> IO () Source #
CallocPtr RadioActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.RadioActionEntry Methods boxedPtrCalloc :: IO (Ptr RadioActionEntry) Source #
ManagedPtrNewtype RadioActionEntry Source # |
Instance details Defined in GI.Gtk.Structs.RadioActionEntry Methods toManagedPtr :: RadioActionEntry -> ManagedPtr RadioActionEntry Source #
tag ~ 'AttrSet => Constructible RadioActionEntry tag Source # |
Instance details Defined in GI.Gtk.Structs.RadioActionEntry Methods new :: MonadIO m => (ManagedPtr RadioActionEntry -> RadioActionEntry) -> [AttrOp RadioActionEntry tag] -> m RadioActionEntry Source #

newZeroRadioActionEntry :: MonadIO m => m RadioActionEntry Source #

Construct a `RadioActionEntry` struct initialized to zero.

# Methods

# Properties

## accelerator

The accelerator for the action, in the format understood by `acceleratorParse`.

clearRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> m () Source #

Set the value of the “`accelerator`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #accelerator

getRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> m (Maybe Text) Source #

Get the value of the “`accelerator`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #accelerator

setRadioActionEntryAccelerator :: MonadIO m => RadioActionEntry -> CString -> m () Source #

Set the value of the “`accelerator`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #accelerator := value ]

## label

The label for the action. This field should typically be marked for translation, see `actionGroupSetTranslationDomain`.

clearRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> m () Source #

Set the value of the “`label`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #label

getRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> m (Maybe Text) Source #

Get the value of the “`label`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #label

setRadioActionEntryLabel :: MonadIO m => RadioActionEntry -> CString -> m () Source #

Set the value of the “`label`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #label := value ]

## name

The name of the action.

clearRadioActionEntryName :: MonadIO m => RadioActionEntry -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getRadioActionEntryName :: MonadIO m => RadioActionEntry -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #name

setRadioActionEntryName :: MonadIO m => RadioActionEntry -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #name := value ]

## stockId

The stock id for the action, or the name of an icon from the icon theme.

clearRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> m () Source #

Set the value of the “`stock_id`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #stockId

getRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> m (Maybe Text) Source #

Get the value of the “`stock_id`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #stockId

setRadioActionEntryStockId :: MonadIO m => RadioActionEntry -> CString -> m () Source #

Set the value of the “`stock_id`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #stockId := value ]

## tooltip

The tooltip for the action. This field should typically be marked for translation, see `actionGroupSetTranslationDomain`.

clearRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> m () Source #

Set the value of the “`tooltip`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #tooltip

getRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> m (Maybe Text) Source #

Get the value of the “`tooltip`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #tooltip

setRadioActionEntryTooltip :: MonadIO m => RadioActionEntry -> CString -> m () Source #

Set the value of the “`tooltip`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #tooltip := value ]

## value

The value to set on the radio action. See `radioActionGetCurrentValue`.

getRadioActionEntryValue :: MonadIO m => RadioActionEntry -> m Int32 Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get radioActionEntry #value

setRadioActionEntryValue :: MonadIO m => RadioActionEntry -> Int32 -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set radioActionEntry [ #value := value ]